﻿@model IEnumerable<BrokerageAdvisoryAccount>
<div class="d-flex align-items-center flex-wrap mb-5">
    <h4 class="text-dark font-weight-bold mt-2 mb-2 mr-3">Let's see if you have any Brokerage/Advisory Account</h4>
    <button class="btn btn-primary font-weight-bold btn-sm btn-brokerageadvisoryaccounts-add mb-2"><i class="fas fa-plus"></i>Brokerage/Advisory Account</button>
</div>
<div class="wizard-content-height">
    <div id="brokerageadvisoryaccounts-main-div">
        @foreach (var item in Model)
        {
            <div class="brokerageadvisoryaccount-info-div" id="brokerageadvisoryaccount-card-@item.Guid">
                <div class="card card-custom gutter-b shadow-none bg-gray-100" style="border:1px solid #000066">
                    <div class="card-header" style="background: #000066">
                        <div class="card-title m-0 w-75">
                            <h3 class="card-label font-size-h4 font-weight-bold text-white">
                                <span>@item.AccountTypeString</span>
                                @if (!string.IsNullOrEmpty(item.Nickname))
                                {
                                    <span>- @item.Nickname</span>
                                }
                            </h3>
                        </div>
                        <div class="card-toolbar">
                            <button class="btn btn-icon btn-sm btn-brokerageadvisoryaccounts-edit" data-guid="@item.Guid">
                                <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                            </button>
                            <button class="btn btn-icon btn-sm btn-brokerageadvisoryaccounts-delete" data-guid="@item.Guid">
                                <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="font-size-h6">
                            <div class="d-flex align-items-start">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Owner:</span>
                                <span class="col-md-7 p-0">@item.OwnByWithData</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Tax Classification:</span>
                                <span class="col-md-7 p-0">@item.TaxClassificationString</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Purchase Price:</span>
                                <span class="col-md-7 p-0">@(item.PurchasePrice > 0 ? string.Format("{0:C0}", item.PurchasePrice) : "-")</span>
                            </div>
                            <div class="d-flex align-items-center">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Current Balance:</span>
                                <span class="col-md-7 p-0">@(item.CurrentBalance > 0 ? string.Format("{0:C0}", item.CurrentBalance) : "-")</span>
                            </div>
                            <div class="d-flex align-items-end">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Annual Contribution:</span>
                                <span class="col-md-7 p-0">@(item.AnnualContribtion > 0 ? string.Format("{0:C0}", item.AnnualContribtion) : "-")</span>
                            </div>
                            <div class="d-flex align-items-center">
                                <span class="col-md-5 text-dark font-weight-bold p-0">Rate of Return:</span>
                                <span class="col-md-7 p-0">@(item.AvgRateReturn > 0 ? $"{item.AvgRateReturn.ToString()}%" : "-")</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
</div>
<partial name="_WizardFooter" />
<div class="modal" id="BrokerageAdvisoryAccountModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script>
    setTimeout(function () {
        $("#btn-submit,#btn-save-exit").addClass("btn-next");
    }, 1000)
    $(document).on("click", ".btn-brokerageadvisoryaccounts-add,.btn-brokerageadvisoryaccounts-edit", function () {
        var id = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`investmentplanning/brokerageadvisoryaccountinfo?guid=${id}`, "BrokerageAdvisoryAccountModal");
    });
    $("#wizard-main-div").on("click", ".btn-brokerageadvisoryaccounts-delete", function () {
        var cur = this;
        var swalOptions = confimationSwalOptions;
        Swal.fire(swalOptions)
            .then(function (result) {
                if (result.value) {
                    var guid = $(cur).attr("data-guid");
                    deleteRecord(`investmentplanning/DeleteBrokerageAdvisoryAccount?guid=${guid}`, function (response) {
                        var hasInvestmentIncome = response.data.hasInvestmentIncome == true ? 1 : 0
                        $("#HasInvestmentIncome").val(hasInvestmentIncome);
                        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
                        $(cur).closest(`#brokerageadvisoryaccount-card-${guid}`).remove();
                        setTimeout(function () { KTApp.unblockPage(); }, 1000);
                        LoadExplicitVue();
                    });
                }
            });
    });

    var showHideDuration = function (accountType) {
        if ((accountType != BrokerageAdisoryAccountType.IndividualCorporateBond && accountType != BrokerageAdisoryAccountType.IndividualMunicipalBond && accountType != BrokerageAdisoryAccountType.IndividualUSGovtBond) || accountType.length == 0)
            $(".duration-div").addClass("d-none").find("input").val("");
        else
            $(".duration-div").removeClass("d-none");
    }
    var showHideAnnualIncome = function (hasIncome) {
        if (hasIncome)
            $(".annualIncome-div").removeClass("d-none");
        else
            $(".annualIncome-div").addClass("d-none").find("input").val("");
    }
    $(document).on("change", "#HasAnnualIncome", function () {
        var hasIncome = $(this).is(":checked");
        showHideAnnualIncome(hasIncome);
    });
    $(document).on("change", "#AccountType", function () {
        var accounttype = $(this).val();
        showHideDuration(accounttype);
    });
</script>